Bug 708134 - LXDE crashes when setting solid background
LXDE crashes when setting solid background
Product: Fedora
Classification: Fedora
Component: pcmanfm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-05-26 15:52 EDT by Jesper Friis
Modified: 2012-03-03 18:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-03-03 18:02:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesper Friis 2011-05-26 15:52:46 EDT
Description of problem:
LXDE crashes when setting solid background color

Version-Release number of selected component (if applicable): 
Newly installed Fedora 15 (through preupgrade from fc14)

$ rpm -q lxde-common xorg-x11-server-common

How reproducible: 

Steps to Reproduce:
1. Right-click on the desktop and select "Desktop preferences" from the menu
2. Select "Fill with background color only" under "Wallpaper mode"

Actual results:
LXDE crashes and you have to log in again

Expected results:
Change of background color

Additional info:
"xsetroot -bg '#4142C5'" has the same result
Comment 1 Christoph Wickert 2011-06-18 20:29:01 EDT
Are you still having this problem? I just tried it a couple of times and I cannot reproduce it.

$ rpm -q lxde-common xorg-x11-server-common

So the only difference is the version of xorg-x11.
Comment 2 Paul "KK4DUY" Bransford 2011-08-10 15:33:24 EDT
I can confirm that this happens with:

I am in the process of updating packages now from a fresh install, and will provide additional version information should the issue continue past this point.
Comment 3 Paul "KK4DUY" Bransford 2011-08-10 17:55:03 EDT
This crash no longer appears.
lxde-common-0.5.5-0.3.20110328git87c368d7.fc15.noarch (unchanged)
xorg-x11-server-common-1.10.3-1.fc15.i686 (newer)
Comment 4 Christoph Wickert 2012-03-03 18:02:32 EST
Ok, thanks for the feedback. I guess there was an update of pcmanfm in the meantime. pcmanfm is actually setting the background, not LXDE.

Note You need to log in before you can comment on or make changes to this bug.